AA-RESET(1)

NAME
aa-reset - Reset status of one-shot services

SYNOPSIS
aa-reset [-D] [-r repodir] [-A | -a | -o] [service...]

OPTIONS

-A, --auto
    Automatic mode; See DESCRIPTION below for what will be done.

-a, --started
    Reset to "Started"

-D, --double-output
    Enable double-output mode. Instead of using stdout for regular output, and stderr for warnings and errors, everything is sent both to stdout and stderr. This is intended to redirect stderr to a log file, so full output can be both shown on console and logged.

-h, --help
    Show help screen and exit.

-o, --stopped
    Reset to "Stopped"

-r, --repodir dir
    Use dir as repository directory. This is where servicedirs will be looked for.

-V, --version
    Show version information and exit.

DESCRIPTION
aa-reset(1) will reset the status of the specified one-shot services as specified:

- to "Started" if --started was specified,

- to "Stopped" if --stopped was specified,

- or when --auto was specified it will reset "Starting failed" and "Start failed" to "Started"; and "Stopping failed" and "Stop failed" to "Stopped"

Note that a service either "Starting" or "Stopping" will never be reset.

You can use - as service name to read actual service names from stdin, where there must be one name per line.

BUGS
They're probably crawling somewhere in there... if you happen to catch one, (or more) report it and I'll do my best to squash it.

REPOSITORY
You can find the latest source code of anopa as well as report bugs and/or suggest features on its GitHub repository, available at <https://github.com/jjk-jacky/anopa>; or visit its official website at <https://jjacky.com/anopa>

AUTHOR

Olivier Brunel <jjk@jjacky.com>